Bug 212394 - Provide fallback FX Project build infrastructure if JDK does not support scripting
Provide fallback FX Project build infrastructure if JDK does not support scri...
Status: RESOLVED FIXED
Product: javafx
Classification: Unclassified
Component: Project
7.2
PC Windows 7
: P3 (vote)
: TBD
Assigned To: Petr Somol
issues@javafx
:
Depends on: 209491
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-11 14:38 UTC by Petr Somol
Modified: 2012-08-21 15:07 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Somol 2012-05-11 14:38:04 UTC
FX Project build infrastructure is based on Ant build scripts but due to necessary nontrivial interaction with FX SDK deployment artifacts it also uses JavaScript. Currently all JDKs that are officially supported by NetBeans do provide the required scripting engine. However, the case of OpenJDK 7 (which is not fully supported by NetBeans) shows that this may not be the case always. Therefore it would be good to provide fallback solutions in the FX build scripts that would enable the build/run process to proceed even if JavaScript engine is not available. Such a fallback solution would be considerably more restricted (various parameters and settings would not be transferred correctly to the deployment artifacts) but would enable at least basic FX functionality.
Comment 1 Petr Somol 2012-08-20 12:02:53 UTC
fixed in jetmain
http://hg.netbeans.org/jet-main/rev/40139d9969bb
Comment 2 Quality Engineering 2012-08-21 15:07:18 UTC
Integrated into 'main-golden', will be available in build *201208211308* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/40139d9969bb
User: Petr Somol <psomol@netbeans.org>
Log: #212394 - Provide fallback FX Project build infrastructure if JDK does not support scripting


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo